Attribute VB_Name = "SetTime"
Option Explicit
'
Type FILETIME
        dwLowDate       As Long
        dwHighDate      As Long
End Type
'
Type SYSTEMTIME
        wYear           As Integer
        wMonth          As Integer
        wDayOfWeek      As Integer
        wDay            As Integer
        wHour           As Integer
        wMinute         As Integer
        wSecond         As Integer
        wMillisecs      As Integer
End Type

Public Const FILE_SHARE_READ = &H1
Public Const FILE_SHARE_WRITE = &H2
Public Const GENERIC_WRITE = &H40000000
Public Const OPEN_EXISTING = 3

Declare Function CloseHandle Lib "kernel32" _
        (ByVal hObject As Long) As Long
        
Declare Function CreateFile Lib "kernel32" _
        Alias "CreateFileA" (ByVal lpFileName As String, _
        ByVal dwDesiredAccess As Long, ByVal dwShareMode _
        As Long, ByVal lpSecurityAttributes As Long, ByVal _
        dwCreationDisposition As Long, ByVal _
        dwFlagsAndAttributes As Long, ByVal hTemplateFile _
        As Long) As Long
        
Declare Function LocalFileTimeToFileTime Lib _
        "kernel32" (lpLocalFileTime As FILETIME, lpFileTime _
        As FILETIME) As Long
        
Declare Function SetFileTime Lib "kernel32" _
        (ByVal hFile As Long, lpcreation As FILETIME, _
        lpLecture As FILETIME, lpLastWriteTime As FILETIME) As Long
        
Declare Function SystemTimeToFileTime Lib _
        "kernel32" (lpSystemTime As SYSTEMTIME, lpFileTime _
        As FILETIME) As Long

Public NomFichier As String
Public Function GetFT(sDate) As FILETIME

Dim udtSysTime As SYSTEMTIME
Dim udtLocalTime As FILETIME
Dim FT As FILETIME
Dim RetVal As Long

With udtSysTime
     .wYear = Year(sDate)
     .wMonth = Month(sDate)
     .wDay = Day(sDate)
     .wDayOfWeek = WeekDay(sDate) - 1
     .wHour = Hour(sDate)
     .wMinute = Minute(sDate)
     .wSecond = Second(sDate)
End With

RetVal = SystemTimeToFileTime(udtSysTime, udtLocalTime)

RetVal = LocalFileTimeToFileTime(udtLocalTime, GetFT)

End Function


